#!/bin/bash

mic_sink=$(pactl load-module module-null-sink media.class=Audio/Source/Virtual sink_name=Virt_Mic channel_map=front-left,front-right)

if [ ! $? ]; then
	notify-send -a "$0" -i microphone "Failed to set-up null sink"
	exit -1
fi

discord_sink=$(pactl load-module module-null-sink media.class=Audio/Sink sink_name=Discord channel_map=stereo)

if [ ! $? ]; then
	notify-send -a "$0" -i microphone "Failed to set-up discord sink"
	pactl unload-module $mic_sink
	exit -1
fi

default_sink=$(pactl load-module module-null-sink media.class=Audio/Sink sink_name=Other channel_map=stereo)

if [ ! $? ]; then
	notify-send -a "$0" -i microphone "Failed to set-up discord sink"
	pactl unload-module $mic_sink
	pactl unload-module $discord_sink
	exit -1
fi

notify-send - "$0" -i microphone "All sinks set-up"

carla ~/Projects/Audio/Carla/Sidechain\ comp\ Setup.carxp

pactl unload-module $mic_sink
pactl unload-module $discord_sink
pactl unload-module $default_sink

